=== debian/changelog ===
ros-melodic-cras-msgs (1.1.0-1bionic) bionic; urgency=high

  * Added new messages (mostly for electronic_io).
  * Clean up undesired includes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 03 May 2023 22:00:00 -0000

ros-melodic-cras-msgs (1.0.1-1bionic) bionic; urgency=high

  * Prepared package for release.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 29 Mar 2023 22:00:00 -0000
