=== debian/control ===
Source: ros-melodic-cras-msgs
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libboost-dev <!nocheck>, python-catkin-lint <!nocheck>, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-roslint <!nocheck>, ros-melodic-sensor-msgs <!nocheck>, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/cras_msgs
Standards-Version: 3.9.2

Package: ros-melodic-cras-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Common messages used by CRAS
